For a better experience on dSPACE.com, enable JavaScript in your browser. Thank you!

MLIB - XIL API Migration Guide

Use XIL API .NET MAPort instead of MLIB

dSPACE Release 2013-B was the last release comprising MLIB. 

With newer releases dSPACE recommends to use the dSPACE XIL API instead, which is first available with dSPACE Release 2014-B. This is a standardized API to access simulation models.

With Release 2013-A MLIB licenses have automatically been upgraded to the Platform API Package including also the dSPACE XIL API. So with Releases 2014-B and and later it is easily possible to migrate from MLIB to XIL API.

MLIB_XIL_API_MigrationGuide.pdf
MLIB_XIL_API_Migration_Guide_Samples.zip


64-bit MATLAB Versions

Note that dSPACE XIL API MAPort .NET contained in dSPACE Release 2014-B is available as 32-bit variant only. 
dSPACE XIL API MAPort .NET 2014-B thus cannot be used with 64-bit MATLAB versions.

64-bit MATLAB variants are supported by dSPACE XIL API MAPort .NET beginning with dSPACE release 2015-A.

 

Required .NET and MATLAB Versions

dSPACE XIL API requires .NET 4.0.

Since MATLAB R2013a .NET 4.0 is also required for MATLAB.

For this reason we recommend to use MATLAB R2013a, or newer when using dSPACE XIL API MAPort .NET.

XIL API .NET has not been tested with older MATLAB Releases.

 

Tags

Date 2016-12-20
软件类型 测试自动化软件
兴趣主题 ASAM HIL-API / ASAM XIL, MATLAB
产品 MLIB/MTRACE, Platform API Package
类型 指令和示例
信息类别 迁移
dSPACE 版 2017-A, 2016-B, 2016-A, 2015-B, 2015-A, 2014-B, 2014-A, 2013-B, 2013-A